unit carrefourU;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,
  System.Variants,

  FMX.Types, FMX.Controls,
  FMX.Forms, FMX.Graphics,
  FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation,
  FMX.Edit,

  pstcircker;

type
  TCarrefourDlg = class(TForm)
    NomEdit: TEdit;
    NomEdit_LBL: TLabel;
    NomGB: TGroupBox;
    OKBtn: TButton;
    Button3: TButton;
    ConnectCB: TCheckBox;
    Lang: TLang;
    PositionRG: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    RadioButton9: TRadioButton;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
    objetCourant : TCarrefour;
  end;

var
  CarrefourDlg : TCarrefourDlg;

implementation

const
   codeAngle : array[0..8] of integer = (7,6,3,0,1,2,5,8,0);


{$R *.fmx}

procedure TCarrefourDlg.FormActivate(Sender: TObject);
var i : integer;
begin
if langue=fr then caption := 'Options noeud';
if langue=en then caption := 'Node options';
LoadLangFromStrings(Lang.LangStr[chaineLangue]);
with objetCourant do begin
  NomEdit.Text := Fnom;
  for i := 0 to positionRG.ChildrenCount-1 do
      if positionRG.Children[i].Tag=Fangle then
         (positionRG.Children[i] as TRadioButton).isChecked := true;
  ConnectCB.isChecked := Fconnected;
end end;

procedure TCarrefourDlg.OKBtnClick(Sender: TObject);
var i : integer;
begin with objetCourant do begin
  Fnom := nomEdit.Text;
  Fconnected := connectCB.isChecked;
  for i := 0 to positionRG.ChildrenCount-1 do
      if (positionRG.Children[i] is TRadioButton) and
         (positionRG.Children[i] as TRadioButton).isChecked then
         Fangle := (positionRG.Children[i] as TRadioButton).tag;
end end;

end.
