unit AboutU;

interface

Uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,

  FMX.stdCtrls,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Dialogs,
  FMX.Objects,
  FMX.Layouts,
  FMX.Edit,
  FMX.Controls.Presentation,

  pstcircker;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    VersionBtn: TButton;
    Lang: TLang;
    Label4: TLabel;
    Label5: TLabel;
    procedure VersionBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.FMX}

uses u_urlopen;

procedure TAboutBox.FormActivate(Sender: TObject);
begin
    LoadLangFromStrings(Lang.LangStr[chaineLangue]);
end;

procedure TAboutBox.VersionBtnClick(Sender: TObject);
const FileName = 'http://jean-michel-millet.pagesperso-orange.fr/miseajourPstcirc.html';
begin
    tUrlOpen.Open(FileName);
end;

end.

