unit aideU;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,

  FMX.StdCtrls,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Objects,
  FMX.Memo,
  FMX.Layouts,
  FMX.Edit,
//  FMX.Platform,
  FMX.Controls.Presentation,
  FMX.ScrollBox,

  pstcircker, FMX.Memo.Types;


type
  TAideDlg = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Lang: TLang;
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  AideDlg: TAideDlg;

implementation

{$R *.FMX}

const
chainefr : array[0..18] of string = (
'Pour ajouter un composant, cliquer sur le bouton correspondant, puis cliquer  l''endroit o vous voulez le placer.',
'',
'Pour dplacer un composant, cliquer-glisser celui-ci (il devient rouge lorsque cela est possible).',
'',
'Pour supprimer un composant, cliquer dessus et appuyez sur "Suppr".',
'',
'Pour faire tourner un composant, cliquer dessus avec la touche Ctrl enfonce.',
'',
'Pour ajouter une liaison, cliquer sur Lien puis cliquer sur les points  relier correspondant',
'(ils deviennent rouges lorsque cela est possible). Cliquer dans un espace vide cre un noeud.',
'Ce mode reste actif tant qu''on n''a pas recliqu sur le bouton Lien.',
'',
'Pour modifier les options d''un composant (y compris son type R -> C par ex.)',
'cliquer avec le bouton droit (ou double cliquer) sur le composant.',
'',
'Pour dplacer l''ensemble, cliquer-glisser  partir d''un endroit libre.',
'La touche ESC permet de sortir de l''tat courant.',
'',
'Une aide contextuelle  est disponible en bas de la fentre.');

chaineen : array[0..20] of string = (
'To insert a component (ie diode), click on the corresponding button,',
'then click anywhere you want the new component to be.',
'',
'Drag and drop the component you want to move about.',
'',
'To delete a component, click on it for selectr and strike on "Delete".',
'',
'To rotate a component, control click on the component.',
'',
'To create a connection between the components, click the button "Connection"',
'then click on the anchors you want to be connected, they turn red when the connection is possible.',
'Clicking on a blank space will create a node.',
'This mode will remain active as long as you don''t click on the "Connection" button again.',
'',
'To modify the options of any component (even its type : for instance, resistor can be changed into capacitor)',
'right-click or double click on the component.',
'',
'To shift the whole diagram, drag and drop from a blank space.',
'ESC enables you to get back to the previous situation.',
'',
'Contextual help is available below.');

procedure TAideDlg.FormActivate(Sender: TObject);

procedure setTexte(texte : array of string);
var i : integer;
begin
     memo1.Lines.Clear;
     for i := 0 to High(texte) do
         memo1.Lines.Add(texte[i])
end;

begin
LoadLangFromStrings(Lang.LangStr[chaineLangue]);
if langue=fr then setTexte(chaineFr);
if langue=en then setTexte(chaineEn);
end;

end.
