unit masseU;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,

  FMX.StdCtrls,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Dialogs,
  FMX.Objects,
  FMX.ListBox,
  FMX.Layouts,
  FMX.Edit,
//  FMX.Platform,
  FMX.Controls.Presentation,

  pstcircker;


type
  TMasseDlg = class(TForm)
    Bevel: TPanel;
    DefautCB: TCheckBox;
    ModeleRG: TListBox;
    Button1: TButton;
    Button2: TButton;
    TerreItem: TListBoxItem;
    ConnectCB: TCheckBox;
    Chassis: TListBoxItem;
    TraitsItem: TListBoxItem;
    TriangleItem: TListBoxItem;
    Lang: TLang;
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
  public
     objetCourant : TMonopole;
  end;

var
  MasseDlg: TMasseDlg;

implementation

{$R *.FMX}

procedure TMasseDlg.BitBtn1Click(Sender: TObject);
begin
    objetCourant.ModeleM := gmasse(ModeleRG.itemIndex);
    objetCourant.connectingdot := ConnectCB.isChecked;
    if defautCB.IsChecked  then objetCourant.ecritDefault;
end;

procedure TMasseDlg.FormActivate(Sender: TObject);
begin
    if langue=fr then caption := 'Options masse';
    if langue=en then caption := 'Ground options';
    LoadLangFromStrings(Lang.LangStr[chaineLangue]);
    modeleRG.itemIndex := ord(objetCourant.modele);
    connectCB.isChecked := objetCourant.connectingdot;
end;

procedure TMasseDlg.FormShow(Sender: TObject);
begin
    ModeleRG.itemIndex := ord(objetCourant.modele);
    ConnectCB.isChecked := objetCourant.connectingdot;
end;

end.
