unit tensionU;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,

  FMX.StdCtrls,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Objects,
  FMX.Layouts,
  FMX.Edit,
  FMX.Spinbox,
  FMX.EditBox,
  FMX.Controls.Presentation,

  pstcircker;


type
  TTensionDlg = class(TForm)
    NomEdit: TEdit;
    NomEdit_LBL: TLabel;
    GroupBox1: TGroupBox;
    labelOffsetSE: TSpinBox;
    Bevel: TPanel;
    OKBtn: TButton;
    escBtn: TButton;
    DefautCB: TCheckBox;
    Lang: TLang;
    StraightCB: TCheckBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
  public
     objetCourant : TTension;
  end;

var
  TensionDlg: TTensionDlg;

implementation

{$R *.FMX}

procedure TTensionDlg.BitBtn1Click(Sender: TObject);
begin with objetCourant do begin
    labelOffset := round(labelOffsetSE.value);
    Fnom := nomEdit.text;
    straightVoltage := straightCB.IsChecked;
    if DefautCB.IsChecked then ecritDefault;
end end;

procedure TTensionDlg.FormActivate(Sender: TObject);
begin
if langue=fr then caption := 'Options tension';
if langue=en then caption := 'Voltage options';
LoadLangFromStrings(Lang.LangStr[chaineLangue]);
with objetCourant do begin
    labelOffsetSE.value := labelOffset;
    nomEdit.text := Fnom;
    defautCB.IsChecked := false;
    straightCB.IsChecked := straightVoltage;
end end;

procedure TTensionDlg.FormShow(Sender: TObject);
begin with objetCourant do begin
    labelOffsetSE.value := labelOffset;
    nomEdit.text := Fnom;
    DefautCB.IsChecked := false;
end end;

end.
